<template>
  <div
    @mouseover="hover = true"
    @mouseleave="hover = false"
    class="flex select-none"
  >
    <div
      class="flex flex-row items-center gap-7 rounded-xl p-2"
      :class="{ 'bg-gray-100 cursor-pointer': hover && enableHover }"
    >
      <div class="items-center space-x-4">
        <img
          :src="
            eleve.sexe === 'M'
              ? require('@/assets/studentM.svg')
              : require('@/assets/studentF.svg')
          "
          class="bg-gray-200 w-14 rounded-full"
          :class="{ 'bg-gray-300': hover && enableHover }"
        />
      </div>
      <div class="">
        <div class="font-semibold text-gray-700">
          {{ eleve.prenom }} {{ eleve.nom }}
        </div>
        <div
          v-if="showMoyenne && infoEvals.moyenne"
          class="text-sm text-gray-500 italic"
          :class="{ 'text-red-400': infoEvals.moyenne < 50 }"
        >
          <ICountUp :endVal="infoEvals.moyenne" /> % de moyenne totale
        </div>
        <div v-if="showMoyenne" class="text-sm text-gray-500 italic">
           <ICountUp :endVal="infoEvals.evaToCount" /> évaluation(s)
        </div>
        <div
          v-if="showMoyenne && infoEvals.nbAbsences > 0"
          class="text-sm text-red-400 italic"
        >
          <ICountUp :endVal="infoEvals.nbAbsences" /> absence(s) lors d'une évaluation
        </div>
      </div>
      <div v-if="showUpdate">
        <v-btn
          icon
          color="primary"
          @click.stop="onUpdateClick"
          class="updateEleve"
        >
          <v-icon>mdi-pencil</v-icon>
        </v-btn>
      </div>
    </div>
  </div>
</template>

<script>
import ICountUp from "vue-countup-v2";

export default {
  name: "EleveCardItem",
  components: { ICountUp },
  props: {
    eleve: { type: Object },
    showMoyenne: {
      type: Boolean,
      default: true,
    },
    showUpdate: {
      type: Boolean,
      default: true,
    },
    enableHover: {
      type: Boolean,
      default: true,
    },
  },

  methods: {
    onUpdateClick() {
      this.$emit("onUpdateClick", this.eleve);
    },
  },

  computed: {
    infoEvals() {
      //if (this.eleve.classe.typeEvaluations != "cotes") return false;
      return this.$store.getters.getInfoEvalByEleve(this.eleve);
    },
  },

  data() {
    return {
      hover: false,
    };
  },
};
</script>

<style scoped>
</style>